# std::experimental::filesystem::directory_entry::operator=

From cppreference.com
< cpp‎ | experimental‎ | fs‎ | directory entry

directory_entry& operator=( const directory_entry& ) = default; | (1) | (filesystem TS)
directory_entry& operator=( directory_entry&&) = default; | (2) | (filesystem TS)

Assigns another directory entry.

### Parameters

| This section is incomplete

### Return value

*this

### Exceptions

| This section is incomplete

2)
`noexcept` specification:
noexcept

### See also

assign | assigns contents (public member function)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/experimental/fs/directory_entry/operator%3D&oldid=91383"